<?php

require 'daos/DAOUsuario.class.php';

/**
 * Description of ControladorUsuario
 *
 * @author Eticons
 */
class ControladorUsuario {

    private $daoUsuario;

    function __construct() {
        $this->daoUsuario = new DAOUsuario();
    }

    public function logar($login, $senha) {
        return $this->daoUsuario->logar($login, $senha);
    }

    public function verificaLogin($login) {
        return $this->daoUsuario->verificaLogin($login);
    }

    public function verificaUsuario($login, $email) {
        return $this->daoUsuario->verificaUsuario($login, $email);
    }
	
	public function obterUsuarioId($id){
		$query = "SELECT * FROM tb_usuario u WHERE u.id = $id ";
		$usuario  = $this->daoUsuario->buscarUsuarios($query);
		return $usuario[0];
	}

    public function buscarUsuarios($tipo, $valor, $situacao, $todos) {
		if($todos != ""){
			$query = "SELECT * FROM tb_usuario ORDER BY nome";
		} else {
			$query = "SELECT * FROM tb_usuario u WHERE u.status = '$situacao' ";
			if ($valor != "" && $tipo != "") {
				$query .= " AND $tipo LIKE '%$valor%' ";
			}
			if ($tipo != "" && $valor == "") {
				$query .= " AND $tipo LIKE '%_%' ";
			}
			$tipo = ($tipo == "" ? "nome" : $tipo);
			$query .= " ORDER BY $tipo";
		}
        return $this->daoUsuario->buscarUsuarios($query);
    }

    public function getInformacoes() {
        return $this->daoUsuario->getInformacoes();
    }

}

?>
